# Passport-OAuth

General-purpose OAuth 1.0 and OAuth 2.0 authentication strategies for [Passport](https://github.com/jaredhanson/passport).

## Installation

    $ npm install passport-oauth

## Strategies using OAuth

<table>
  <thead>
    <tr><th>Strategy</th><th>OAuth Version</th>
  </thead>
  <tbody>
    <tr><td><a href="https://github.com/jaredhanson/passport-37signals">37signals</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-angellist">AngelList</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-bitbucket">Bitbucket</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-digg">Digg</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-dropbox">Dropbox</a></td><td>1.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-dwolla">Dwolla</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-evernote">Evernote</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-facebook">Facebook</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-fitbit">Fitbit</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-flickr">Flickr</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-foursquare">Foursquare</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-geoloqi">Geoloqi</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-github">GitHub</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-goodreads">Goodreads</a></td><td>1.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-google-oauth">Google</a></td><td>1.0a, 2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-gowalla">Gowalla</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-instagram">Instagram</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-justintv">Justin.tv</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-linkedin">LinkedIn</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-meetup">Meetup</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-netflix">Netflix</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-ohloh">Ohloh</a></td><td>1.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-openstreetmap">OpenStreetMap</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-picplz">picplz</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-rdio">Rdio</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-readability">Readability</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-runkeeper">RunKeeper</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-smugmug">SmugMug</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-soundcloud">SoundCloud</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-tripit">TripIt</a></td><td>1.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-tumblr">Tumblr</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-twitter">Twitter</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-vimeo">Vimeo</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-windowslive">Windows Live</a></td><td>2.0</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-yahoo-oauth">Yahoo!</a></td><td>1.0a</td></tr>
    <tr><td><a href="https://github.com/jaredhanson/passport-yammer">Yammer</a></td><td>2.0</td></tr>
  </tbody>
</table>

## Tests

    $ npm install --dev
    $ make test

[![Build Status](https://secure.travis-ci.org/jaredhanson/passport-oauth.png)](http://travis-ci.org/jaredhanson/passport-oauth)

## Credits

  - [Jared Hanson](http://github.com/jaredhanson)

## License

(The MIT License)

Copyright (c) 2011 Jared Hanson

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
